Bug 848350 - [abrt] gnome-screenshot-3.4.1-2.fc17: create_async_thread: Process /usr/bin/gnome-screenshot was killed by signal 11 (SIGSEGV)
[abrt] gnome-screenshot-3.4.1-2.fc17: create_async_thread: Process /usr/bin/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screenshot (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:375542d490ce8532b4ffc8f6530...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 06:50 EDT by Jay Turner
Modified: 2015-01-07 19:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.16 KB, text/plain)
2012-08-15 06:50 EDT, Jay Turner
no flags Details
File: maps (41.31 KB, text/plain)
2012-08-15 06:50 EDT, Jay Turner
no flags Details
File: dso_list (7.90 KB, text/plain)
2012-08-15 06:50 EDT, Jay Turner
no flags Details

  None (edit)
Description Jay Turner 2012-08-15 06:50:51 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        gnome-screenshot --interactive
comment:        Took a screenshot, indicating to just capture the current window with a 1 second delay.  The screenshot is captured and save dialog presented.  I editted the filename to /tmp/jkt.png and upon clicking "save" the process aborts.
crash_function: create_async_thread
executable:     /usr/bin/gnome-screenshot
kernel:         3.5.1-1.fc17.x86_64
pid:            9545
pwd:            /home/jkt
remote_result:  NOTFOUND
time:           Wed 15 Aug 2012 06:44:39 AM EDT
uid:            1000
username:       jkt

backtrace:      Text file, 11428 bytes
dso_list:       Text file, 8094 bytes
maps:           Text file, 42303 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jkt/2

core_backtrace:
:- 0x0 - - -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x41259 - libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6ce9e - libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x5c22e - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x6ab02 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x6a305 - libglib-2.0.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=atomic.rdu.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/jkt/keyring-uAoiic
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/jkt
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jkt/.local/bin:/home/jkt/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jkt
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1334
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jkt
:SHLVL=1
:LOGNAME=jkt
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AB4zHvDmGc,guid=3a28ad4ebd1b2aa459b34a990000002d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jkt
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-jkt-0YvM1M/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1338,unix/unix:/tmp/.ICE-unix/1338
:GPG_AGENT_INFO=/run/user/jkt/keyring-uAoiic/gpg:0:1
:SSH_AUTH_SOCK=/run/user/jkt/keyring-uAoiic/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-screenshot.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9545
:DESKTOP_STARTUP_ID=gnome-shell-1566-atomic.rdu.redhat.com-gnome-screenshot-8_TIME73178814

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30535                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30535                30535                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jkt/.xsession-errors
:pos:	72189
:flags:	0102002
:2:/home/jkt/.xsession-errors
:pos:	72189
:flags:	0102002
:3:socket:[366493]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[366498]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[363475]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:pipe:[362331]
:pos:	0
:flags:	02004000
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:pipe:[362331]
:pos:	0
:flags:	02004001
:12:socket:[366539]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:socket:[362333]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 14 21:42:19 atomic kernel: [70041.010172] pool[6660]: segfault at 0 ip           (null) sp 00007fa33fffdb88 error 14 in gnome-screenshot[400000+f000]
:Aug 14 21:42:20 atomic abrt[6664]: Saved core dump of pid 6652 (/usr/bin/gnome-screenshot) to /var/spool/abrt/ccpp-2012-08-14-21:42:19-6652 (81641472 bytes)
:Aug 15 06:43:19 atomic kernel: [72938.583734] pool[9375]: segfault at 0 ip           (null) sp 00007ff781c10b88 error 14 in gnome-screenshot[400000+f000]
:Aug 15 06:43:20 atomic abrt[9379]: Saved core dump of pid 9367 (/usr/bin/gnome-screenshot) to /var/spool/abrt/ccpp-2012-08-15-06:43:19-9367 (72699904 bytes)
:Aug 15 06:43:48 atomic kernel: [72966.775273] pool[9416]: segfault at 0 ip           (null) sp 00007fc64dae0b88 error 14 in gnome-screenshot[400000+f000]
:Aug 15 06:43:48 atomic abrt[9422]: Saved core dump of pid 9411 (/usr/bin/gnome-screenshot) to /var/spool/abrt/ccpp-2012-08-15-06:43:48-9411 (72744960 bytes)
:Aug 15 06:44:39 atomic kernel: [73017.547031] pool[9562]: segfault at 0 ip           (null) sp 00007f0ca27f3b88 error 14 in gnome-screenshot[400000+f000]
:Aug 15 06:44:40 atomic abrt[9584]: Saved core dump of pid 9545 (/usr/bin/gnome-screenshot) to /var/spool/abrt/ccpp-2012-08-15-06:44:39-9545 (81358848 bytes)
Comment 1 Jay Turner 2012-08-15 06:50:54 EDT
Created attachment 604573 [details]
File: backtrace
Comment 2 Jay Turner 2012-08-15 06:50:56 EDT
Created attachment 604574 [details]
File: maps
Comment 3 Jay Turner 2012-08-15 06:50:57 EDT
Created attachment 604575 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 20:30:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 00:17:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.